> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create ignore paths



## OpenAPI

````yaml /openapi.json post /api/v1/review-filters/ignore-paths
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: automations
  - name: projects
  - name: threads
  - name: folders
  - name: tasks
  - name: messages
  - name: streams
  - name: reviews
  - name: reviewRules
  - name: reviewFilters
  - name: usage
  - name: users
paths:
  /api/v1/review-filters/ignore-paths:
    post:
      tags:
        - reviewFilters
      summary: Create ignore paths
      operationId: reviewFilters.createIgnorePaths
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReviewIgnorePathsRequest'
        required: true
      responses:
        '200':
          description: ReviewIgnorePaths
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewIgnorePathsEncoded'
        '400':
          description: capy/InvalidRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_InvalidRequestEncoded'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_UnauthorizedEncoded'
        '403':
          description: capy/Forbidden
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/capy_ForbiddenEncoded'
                  - $ref: '#/components/schemas/capy_ForbiddenEncoded'
        '429':
          description: capy/RateLimited
          headers:
            retry-after:
              schema:
                type: integer
              required: true
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_RateLimitedEncoded'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateReviewIgnorePathsRequest:
      type: object
      properties:
        repo:
          anyOf:
            - type: string
            - type: 'null'
        patterns:
          type: array
          items:
            type: string
      required:
        - repo
        - patterns
      additionalProperties: false
    ReviewIgnorePathsEncoded:
      type: object
      properties:
        id:
          type: string
          allOf:
            - minLength: 32
            - maxLength: 32
          pattern: ^rpath_
        repo:
          anyOf:
            - type: string
            - type: 'null'
        githubRepoId:
          anyOf:
            - anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
            - type: 'null'
        patterns:
          type: array
          items:
            type: string
        source:
          type: string
          enum:
            - hand
            - greptile
        createdByUserId:
          anyOf:
            - type: string
            - type: 'null'
        createdByName:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - repo
        - githubRepoId
        - patterns
        - source
        - createdByUserId
        - createdByName
        - createdAt
        - updatedAt
      additionalProperties: false
    capy_InvalidRequestEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/InvalidRequest
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    capy_UnauthorizedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_ForbiddenEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Forbidden
      required:
        - _tag
      additionalProperties: false
    capy_RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/RateLimited
        retryAfterSeconds:
          type: integer
      required:
        - _tag
        - retryAfterSeconds
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````